<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Phone Price Predictor</title>
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <style>
        #resultContainer {
        padding: 20px;
        background-color: #f8f9fa; /* Light grey background */
        border: 1px solid #dee2e6; /* Light grey border */
        border-radius: 5px; /* Rounded corners */
        margin-top: 20px; /* Spacing from the form */
        text-align: center; /* Centered text */
        }

        .result-label {
            font-weight: bold; /* Bold label for the result */
            margin-right: 10px; /* Spacing between label and value */
        }

        .result-value {
            font-size: 1.5em; /* Larger font size for the result value */
            color: #28a745; /* Green color to signify success or positive outcome */
        }
    </style>
</head>
<body>
    <div class="container mt-5">
        <h1 class="text-center mb-4">Phone Price Predictor</h1>
        <form id="predictorForm">
            <div class="form-row">
                <div class="form-group col-md-4">
                    <label for="weight">Weight (g):</label>
                    <input type="number" class="form-control" id="weight" name="weight" required>
                </div>
                <div class="form-group col-md-4">
                    <label for="resolution">Resolution:</label>
                    <input type="text" class="form-control" id="resolution" name="resolution" required>
                </div>
                <div class="form-group col-md-4">
                    <label for="ppi">PPI:</label>
                    <input type="number" class="form-control" id="ppi" name="ppi" required>
                </div>
            </div>
            <div class="form-row">
                <div class="form-group col-md-4">
                    <label for="cpu_core">CPU Cores:</label>
                    <input type="number" class="form-control" id="cpu_core" name="cpu_core" required>
                </div>
                <div class="form-group col-md-4">
                    <label for="cpu_frequency">CPU Frequency (GHz):</label>
                    <input type="number" step="0.1" class="form-control" id="cpu_frequency" name="cpu_frequency" required>
                </div>
                <div class="form-group col-md-4">
                    <label for="internal_memory">Internal Memory (GB):</label>
                    <input type="number" class="form-control" id="internal_memory" name="internal_memory" required>
                </div>
            </div>
            <div class="form-row">
                <div class="form-group col-md-4">
                    <label for="ram">RAM (GB):</label>
                    <input type="number" class="form-control" id="ram" name="ram" required>
                </div>
                <div class="form-group col-md-4">
                    <label for="rear_cam">Rear Camera (MP):</label>
                    <input type="number" class="form-control" id="rear_cam" name="rear_cam" required>
                </div>
                <div class="form-group col-md-4">
                    <label for="front_cam">Front Camera (MP):</label>
                    <input type="number" class="form-control" id="front_cam" name="front_cam" required>
                </div>
            </div>
            <div class="form-row">
                <div class="form-group col-md-4">
                    <label for="battery">Battery (mAh):</label>
                    <input type="number" class="form-control" id="battery" name="battery" required>
                </div>
                <div class="form-group col-md-4">
                    <label for="thickness">Thickness (mm):</label>
                    <input type="number" step="0.1" class="form-control" id="thickness" name="thickness" required>
                </div>
            </div>
            <div class="text-center">
                <button type="button" class="btn btn-primary" onclick="submitForm()">Predict Price</button>
            </div>
        </form>
        <div id="resultContainer" class="mt-4"></div>
    </div>

    <script>
        function submitForm() {
            var weight = document.getElementById('weight').value;
            var resolution = document.getElementById('resolution').value;
            var ppi = document.getElementById('ppi').value;
            var cpu_core = document.getElementById('cpu_core').value; 
            var cpu_frequency = document.getElementById('cpu_frequency').value;
            var internal_memory = document.getElementById('internal_memory').value;
            var ram = document.getElementById('ram').value;
            var rear_cam = document.getElementById('rear_cam').value;
            var front_cam = document.getElementById('front_cam').value;
            var battery = document.getElementById('battery').value;
            var thickness = document.getElementById('thickness').value;
            var inputData = {
                "columns": [
                    "weight",
                    "resoloution",
                    "ppi",
                    "cpu core",
                    "cpu freq",
                    "internal mem",
                    "ram",
                    "RearCam",
                    "Front_Cam",
                    "battery",
                    "thickness"
                ],
                "index": [0],
                "data": [
                    [
                        parseFloat(weight),
                        parseFloat(resolution), 
                        parseInt(ppi), 
                        parseFloat(cpu_core),
                        parseFloat(cpu_frequency),
                        parseFloat(internal_memory),
                        parseFloat(ram),
                        parseFloat(rear_cam), 
                        parseFloat(front_cam), 
                        parseInt(battery), 
                        parseFloat(thickness)
                    ]
                ]
            };
            fetch("/submit_form", {
                    method: "POST",
                    headers: {
                    "Content-Type": "application/json",
                    },
                    body: JSON.stringify(inputData),
                })
                .then((response) => response.json())
                .then((data) => {
                    var resultHtml = '<span class="result-label">Estimated Price:</span>' +
                                    '<span class="result-value">$' + JSON.stringify(data, null, 2) + '</span>';
                    document.getElementById("resultContainer").innerHTML = resultHtml;
                })
                .catch((error) => {
                    console.error("Error: ", error);
                });
        }
    </script>
</body>
</html>
